Create a destination
POST
/destinations
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Request Body required
Request body
application/jsonorg_id
string
env_id
string
name
string
REQUIRED
slug
string
REQUIRED
url
string
method
string
headers
object
timeout_ms
number
auth_type
string
auth_config
object
type
string
provider_config
object
retry_enabled
boolean
retry_max_attempts
number
retry_backoff_type
string
retry_intervals
number[]
Array of:
circuit_breaker_enabled
boolean
circuit_breaker_threshold
number
circuit_breaker_reset_ms
number
Responses
201
Created destination
application/jsondestination
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
url
string
REQUIRED
method
string
REQUIRED
headers
string | null
REQUIRED
timeout_ms
integer
REQUIRED
auth_type
string
REQUIRED
auth_config
string | null
REQUIRED
status
string
REQUIRED
event_count
integer
REQUIRED
last_delivery_at
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
retry_enabled
integer | null
REQUIRED
retry_max_attempts
integer | null
REQUIRED
retry_backoff_type
string | null
REQUIRED
retry_intervals
string | null
REQUIRED
circuit_breaker_enabled
integer | null
REQUIRED
circuit_breaker_threshold
integer | null
REQUIRED
circuit_breaker_reset_ms
integer | null
REQUIRED
type
string
REQUIRED
provider_config
string | null
REQUIRED
400
Bad request
401
Unauthorized
403
Forbidden — plan limit reached
curl -X POST 'https://hookstream.io/v1/destinations' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "org_id": "string", "env_id": "string", "name": "string", "slug": "string", "url": "string", "method": "string", "headers": {}, "timeout_ms": 0, "auth_type": "string", "auth_config": {}, "type": "string", "provider_config": {}, "retry_enabled": true, "retry_max_attempts": 0, "retry_backoff_type": "string", "retry_intervals": [ 0 ], "circuit_breaker_enabled": true, "circuit_breaker_threshold": 0, "circuit_breaker_reset_ms": 0}'
const response = await fetch('https://hookstream.io/v1/destinations', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "org_id": "string", "env_id": "string", "name": "string", "slug": "string", "url": "string", "method": "string", "headers": {}, "timeout_ms": 0, "auth_type": "string", "auth_config": {}, "type": "string", "provider_config": {}, "retry_enabled": true, "retry_max_attempts": 0, "retry_backoff_type": "string", "retry_intervals": [ 0 ], "circuit_breaker_enabled": true, "circuit_breaker_threshold": 0, "circuit_breaker_reset_ms": 0 })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/destinations', headers=headers, json={ "org_id": "string", "env_id": "string", "name": "string", "slug": "string", "url": "string", "method": "string", "headers": {}, "timeout_ms": 0, "auth_type": "string", "auth_config": {}, "type": "string", "provider_config": {}, "retry_enabled": true, "retry_max_attempts": 0, "retry_backoff_type": "string", "retry_intervals": [ 0 ], "circuit_breaker_enabled": true, "circuit_breaker_threshold": 0, "circuit_breaker_reset_ms": 0})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "org_id": "string", "env_id": "string", "name": "string", "slug": "string", "url": "string", "method": "string", "headers": {}, "timeout_ms": 0, "auth_type": "string", "auth_config": {}, "type": "string", "provider_config": {}, "retry_enabled": true, "retry_max_attempts": 0, "retry_backoff_type": "string", "retry_intervals": [ 0 ], "circuit_breaker_enabled": true, "circuit_breaker_threshold": 0, "circuit_breaker_reset_ms": 0}`) req, _ := http.NewRequest("POST", "https://hookstream.io/v1/destinations", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
201
Response
{ "destination": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "url": "<string>", "method": "<string>", "headers": "<string>", "timeout_ms": 123, "auth_type": "<string>", "auth_config": "<string>", "status": "<string>", "event_count": 123, "last_delivery_at": "<string>", "created_at": "<string>", "updated_at": "<string>", "retry_enabled": 123, "retry_max_attempts": 123, "retry_backoff_type": "<string>", "retry_intervals": "<string>", "circuit_breaker_enabled": 123, "circuit_breaker_threshold": 123, "circuit_breaker_reset_ms": 123, "type": "<string>", "provider_config": "<string>" }}
API Playground
Try this endpoint
POST
/destinations